Cutecoin 0.6 released

Cutecoin 0.6 released !

Cutecoin now has a complete list of features, you can use it to do a lot of things :

  • Joining a community
  • Certify members
  • Have a wallet pool linked to your account, to get multiple pubkeys for your transactions
  • Send money
  • Check the wot state
  • And much more !

We are now waiting for your feedback. If you have features ideas, discuss it here or on github !
Download link :

1 « J'aime »

Cutecoin 0.6 installé sur Ubuntu :relaxed:

J’aimerais rejoindre un node déjà installé, quelle IP renseigner? (port 8081)

Merci

twiced.fr : 9101
ou
inso.ovh : 8033

Pourquoi es-tu bloqué sur le port 8081 ?

Attention, il faut penser à installer libsodium :
64 bits : http://archive.ubuntu.com/ubuntu/pool/universe/libs/libsodium/libsodium13_1.0.1-1_amd64.deb
32 bits : http://archive.ubuntu.com/ubuntu/pool/universe/libs/libsodium/libsodium13_1.0.1-1_i386.deb

Je ne suis pas bloqué par le 8081, c’est juste le port par défaut apparemment ^^

Merci pour les adresses, j’ai ajouté inso.ovh:8033 avec succès et je t’ai apparemment envoyé Inso une demande de membre sur ta communauté :relaxed:

PS: j’ai suivi le tuto d’installation développeur du forum pour libsodium et tout s’est bien passé.

I can’t either install via source code nor run the Ubuntu 64 bit version.

Source code missing modules:

? Cookie imported from requests.compat
? OpenSSL.SSL imported from urllib3.contrib.pyopenssl
? Queue imported from urllib3.connectionpool
? StringIO imported from requests.compat, six
? __main__ imported from bdb, pdb
? _abcoll imported from urllib3.packages.ordered_dict
? _dummy_threading imported from dummy_threading
? _scproxy imported from urllib.request
? _sysconfigdata_dm imported from _sysconfigdata
? _winapi imported from subprocess
? cStringIO imported from urllib3.contrib.pyopenssl
? ce imported from os
? cookielib imported from requests.compat
? ctypes.macholib.dyld imported from ctypes.util
? dummy_thread imported from urllib3.packages.ordered_dict
? httplib imported from requests.compat, urllib3.connectionpool
? java.lang imported from platform
? msgpack imported from libnacl.base, libnacl.utils
? msvcrt imported from getpass, subprocess
? ndg.httpsclient.ssl_peer_verification imported from urllib3.contrib.pyopenssl
? ndg.httpsclient.subj_alt_name imported from urllib3.contrib.pyopenssl
? netbios imported from uuid
? nt imported from os, shutil
? ntpath imported from os
? nturl2path imported from pydoc, urllib.request
? org.python.core imported from copy
? os.path imported from os, pkgutil, py_compile, requests.certs, shutil, sysconfig, unittest.util
? pbkdf2 imported from pylibscrypt.pylibsodium_salsa, pylibscrypt.pypyscrypt, pylibscrypt.pypyscrypt_inline
? pyasn1.codec.der imported from urllib3.contrib.pyopenssl
? simplejson imported from requests.compat
? thread imported from urllib3.packages.ordered_dict
? ucoinpy.api.bma.network.logging imported from ucoinpy.api.bma.network.peering
? urllib.getproxies imported from requests.compat
? urllib.proxy_bypass imported from requests.compat
? urllib.quote imported from requests.compat
? urllib.quote_plus imported from requests.compat
? urllib.unquote imported from requests.compat
? urllib.unquote_plus imported from requests.compat
? urllib.urlencode imported from requests.compat, urllib3.request
? urllib2 imported from requests.compat
? urlparse imported from requests.compat, urllib3.poolmanager
? vms_lib imported from platform
? win32api imported from platform
? win32con imported from platform
? win32wnet imported from uuid
? winreg imported from mimetypes, platform, urllib.request
This is not necessarily a problem - the modules may not be needed on this platform.

When I try to run the compiled source code:

rogier@rogier-desktop:~/Downloads/cutecoin-0.6/build/exe.linux-x86_64-3.4$ ./cutecoin
Traceback (most recent call last):
  File "/usr/local/lib/python3.4/dist-packages/cx_Freeze-4.3.3-py3.4-linux-x86_64.egg/cx_Freeze/initscripts/Console.py", line 27, in <module>
    exec(code, m.__dict__)
  File "src/cutecoin/main.py", line 19, in <module>
  File "/home/rogier/Downloads/cutecoin-0.6/src/cutecoin/core/app.py", line 31, in __init__
    self.load()
  File "/home/rogier/Downloads/cutecoin-0.6/src/cutecoin/core/app.py", line 74, in load
    for account_name in data['local_accounts']:
KeyError: 'local_accounts'

Running the binaries:

rogier@rogier-desktop:~/Downloads/exe.linux-i686-3.4$ ./cutecoin 
Traceback (most recent call last):
  File "/usr/local/lib/python3.4/dist-packages/cx_Freeze-4.3.4-py3.4-linux-i686.egg/cx_Freeze/initscripts/Console.py", line 27, in <module>
  File "src/cutecoin/main.py", line 10, in <module>
  File "/usr/lib/python3.4/importlib/_bootstrap.py", line 2214, in _find_and_load
    return _find_and_load_unlocked(name, import_)
  File "/usr/lib/python3.4/importlib/_bootstrap.py", line 2203, in _find_and_load_unlocked
    module = _SpecMethods(spec)._load_unlocked()
  File "/usr/lib/python3.4/importlib/_bootstrap.py", line 1191, in _load_unlocked
    return self._load_backward_compatible()
  File "/usr/lib/python3.4/importlib/_bootstrap.py", line 1161, in _load_backward_compatible
    spec.loader.load_module(spec.name)
  File "ExtensionLoader_PyQt5_QtWidgets.py", line 22, in <module>
  File "ExtensionLoader_PyQt5_QtWidgets.py", line 14, in __bootstrap__
ImportError: libQt5Widgets.so.5: cannot open shared object file: No such file or directory

For your problem running the compiled source code :
Can you remove the directory “~/.config/cutecoin” ? It seems like you already run an old version of cutecoin…

For the error when running the binaries “exe.linux-i686-3.4”, this is because you are trying to run the 32 Bits binaries on a 64 bits system. Download the zip “ubuntu-x86_64” : https://github.com/ucoin-io/cutecoin/releases/download/0.6/exe.ubuntu-x86_64-3.4.tar.gz and try again.

Marco you have to be signed by other members. Can you point us to other accounts you own on twitter, github, diaspora… Which could confirm to us that you are the real marco ? After doing so, we’ill start signing you. We need your pubkey (right-clic on your first wallet -> copy pubkey) to sign you. Cutecoin doesn’t have a feature to look for a pubkey in a community based on its name, if the pubkey is not a member.

Thanks!
The binaries work now, but I can’t compile the source code yet.

I did figure out I accidentally used python instead of python3 to build, but with python3 I still run into problems:

~$ sudo python3 gen_resources.py

/home/rogier/Downloads/cutecoin-0.6/res/ui/currency_tab.ui >> /home/rogier/Downloads/cutecoin-0.6/src/cutecoin/gen_resources/currency_tab_uic.py
/home/rogier/Downloads/cutecoin-0.6/res/ui/mainwindow.ui >> /home/rogier/Downloads/cutecoin-0.6/src/cutecoin/gen_resources/mainwindow_uic.py
/home/rogier/Downloads/cutecoin-0.6/res/ui/add_contact.ui >> /home/rogier/Downloads/cutecoin-0.6/src/cutecoin/gen_resources/add_contact_uic.py
/home/rogier/Downloads/cutecoin-0.6/res/ui/create_wallet.ui >> /home/rogier/Downloads/cutecoin-0.6/src/cutecoin/gen_resources/create_wallet_uic.py
/home/rogier/Downloads/cutecoin-0.6/res/ui/transfer.ui >> /home/rogier/Downloads/cutecoin-0.6/src/cutecoin/gen_resources/transfer_uic.py
/home/rogier/Downloads/cutecoin-0.6/res/ui/community_cfg.ui >> /home/rogier/Downloads/cutecoin-0.6/src/cutecoin/gen_resources/community_cfg_uic.py
/home/rogier/Downloads/cutecoin-0.6/res/ui/account_cfg.ui >> /home/rogier/Downloads/cutecoin-0.6/src/cutecoin/gen_resources/account_cfg_uic.py
/home/rogier/Downloads/cutecoin-0.6/res/ui/wot_tab.ui >> /home/rogier/Downloads/cutecoin-0.6/src/cutecoin/gen_resources/wot_tab_uic.py
/home/rogier/Downloads/cutecoin-0.6/res/ui/community_tab.ui >> /home/rogier/Downloads/cutecoin-0.6/src/cutecoin/gen_resources/community_tab_uic.py
/home/rogier/Downloads/cutecoin-0.6/res/ui/certification.ui >> /home/rogier/Downloads/cutecoin-0.6/src/cutecoin/gen_resources/certification_uic.py
/home/rogier/Downloads/cutecoin-0.6/res/ui/import_account.ui >> /home/rogier/Downloads/cutecoin-0.6/src/cutecoin/gen_resources/import_account_uic.py
/usr/bin/python3.4: Error while finding spec for 'PyQt5.uic.pyuic' (<class 'ImportError'>: No module named 'PyQt5.uic.port_v3')
/usr/bin/python3.4: Error while finding spec for 'PyQt5.uic.pyuic' (<class 'ImportError'>: No module named 'PyQt5.uic.port_v3')
/usr/bin/python3.4: Error while finding spec for 'PyQt5.uic.pyuic' (<class 'ImportError'>: No module named 'PyQt5.uic.port_v3')
/usr/bin/python3.4: Error while finding spec for 'PyQt5.uic.pyuic' (<class 'ImportError'>: No module named 'PyQt5.uic.port_v3')
/usr/bin/python3.4: Error while finding spec for 'PyQt5.uic.pyuic' (<class 'ImportError'>: No module named 'PyQt5.uic.port_v3')
/usr/bin/python3.4: Error while finding spec for 'PyQt5.uic.pyuic' (<class 'ImportError'>: No module named 'PyQt5.uic.port_v3')
/usr/bin/python3.4: Error while finding spec for 'PyQt5.uic.pyuic' (<class 'ImportError'>: No module named 'PyQt5.uic.port_v3')
/usr/bin/python3.4: Error while finding spec for 'PyQt5.uic.pyuic' (<class 'ImportError'>: No module named 'PyQt5.uic.port_v3')
/usr/bin/python3.4: Error while finding spec for 'PyQt5.uic.pyuic' (<class 'ImportError'>: No module named 'PyQt5.uic.port_v3')
/usr/bin/python3.4: Error while finding spec for 'PyQt5.uic.pyuic' (<class 'ImportError'>: No module named 'PyQt5.uic.port_v3')
/usr/bin/python3.4: Error while finding spec for 'PyQt5.uic.pyuic' (<class 'ImportError'>: No module named 'PyQt5.uic.port_v3')

and

~$ sudo pip3 search PyQt5
python-qt5                - PyQt5
  INSTALLED: 0.1.8 (latest)
cheesemaker               - A minimalistic image viewer using Python3 and PyQt5
pyqode.qt                 - Provides an abstraction layer on top of the various Qt bindings (PyQt5, PyQt4 and PySide)
  INSTALLED: 2.4.0 (latest)
qt_backport               - Makes PySide/PyQt4 code work with Qt5 (using PyQt5)
qutebrowser               - A keyboard-driven, vim-like browser based on PyQt5 and QtWebKit.
PyQtX                     - Mimics the structure of PyQt5 but provides PyQt4 as a fallback solution.
PyQt5                     - Python bindings for the Qt cross platform GUI toolkit
rogier@rogier-desktop:~/Downloads/cutecoin-0.6$ sudo pip3 search PyQt5

and

~$ sudo python3 setup.py build
Traceback (most recent call last):
  File "setup.py", line 7, in <module>
    from cx_Freeze import setup, Executable
ImportError: No module named 'cx_Freeze'

and

~$ sudo pip3 install --upgrade cx_Freeze

collect2: error: ld returned 1 exit status

error: command 'x86_64-linux-gnu-gcc' failed with exit status 1

  Rolling back uninstall of cx-Freeze
Cleaning up...
Exception:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pip/req.py", line 1435, in install
    requirement.install(install_options, global_options, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/pip/req.py", line 706, in install
    cwd=self.source_dir, filter_stdout=self._filter_install, show_stdout=False)
  File "/usr/lib/python3/dist-packages/pip/util.py", line 697, in call_subprocess
    % (command_desc, proc.returncode, cwd))
pip.exceptions.InstallationError: Command /usr/bin/python3 -c "import setuptools, tokenize;__file__='/tmp/pip_build_root/cx-Freeze/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-9xur3_rs-record/install-record.txt --single-version-externally-managed --compile failed with error code 1 in /tmp/pip_build_root/cx-Freeze

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pip/basecommand.py", line 122, in main
    status = self.run(options, args)
  File "/usr/lib/python3/dist-packages/pip/commands/install.py", line 283, in run
    requirement_set.install(install_options, global_options, root=options.root_path)
  File "/usr/lib/python3/dist-packages/pip/req.py", line 1439, in install
    requirement.rollback_uninstall()
  File "/usr/lib/python3/dist-packages/pip/req.py", line 603, in rollback_uninstall
    self.uninstalled.rollback()
  File "/usr/lib/python3/dist-packages/pip/req.py", line 1855, in rollback
    pth.rollback()
AttributeError: 'str' object has no attribute 'rollback'

Storing debug log for failure in /home/rogier/.pip/pip.log

sudo python3 gen_resources.py

Why sudo ? Resources should be generated with your current user…

I guess you should install pyqt5 using the package system of ubuntu :

sudo apt-get install pyqt5-dev

Why sudo ? Resources should be generated with your current user…

One of my bad habits when I don’t understand why I’m getting errors. Whenever a build fails, I try sudo.

I guess you should install pyqt5

Already installed. So it’s not that.

By the way, I adding an account resulted into adding a new account with the same uid.
So now there’s two folatt’s again.

How do I import the one of my old account? Where can I find that file?
And why would I want to have two wallets under the same account? What’s the benefit of that?

Install the package “pyqt5-dev-tools” too.

When you added your account, a popup must have said :
"The public key of your account wasn’t found in the community. Would you like to publish the key ? "

If you said yes, you created a new follatt public key / uid on the node.

Did you use the same salt (in the email field) / password that you use for the console client ? I know naming it “email” was not a good idea, this will be changed in the next release.

When you added your account, a popup must have said :
"The public key of your account wasn’t found in the community. Would you like to publish the key ? "

If you said yes, you created a new follatt public key / uid on the node.

Ohhhh… so THAT’S what it meant.

Did you use the same salt (in the email field) / password that you use for the console client ? I know naming it “email” was not a good idea, this will be changed in the next release.

I salted my password with another password.

But now i have the problem that I have two accounts and I can’t delete that account and use my old account, because my new account exists in cutecoin.

You’ll have to ask cgeek to remove your wrong pubkey since there is no api yet to do it :confused: